{
  "openapi": "3.0.1",
  "info": {
    "title": "Twitter/X API english documentation",
    "description": "The english reference documentation of the Twitter/X API includes the interface's purpose, parameter description, response status, and sample structure.",
    "version": "1.0.0"
  },
  "tags": [],
  "paths": {
    "/v1/twitter/screenname": {
      "get": {
        "summary": " User info",
        "deprecated": false,
        "description": "Query a Twitter / X public user profile by screenname or rest_id. Useful for account profiling, user verification, and basic profile enrichment.",
        "tags": [],
        "parameters": [
          {
            "name": "screenname",
            "in": "query",
            "description": "",
            "required": true,
            "example": "elonmusk",
            "schema": {
              "type": "string",
              "example": "elonmusk"
            }
          },
          {
            "name": "rest_id",
            "in": "query",
            "description": "Twitter user's id. This parameter overwrites screenname parameter.",
            "required": false,
            "example": "44196397",
            "schema": {
              "type": "string",
              "example": "44196397"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "example": {
                  "code": 0,
                  "message": "success",
                  "data": {
                    "status": "active",
                    "profile": "elonmusk",
                    "rest_id": "44196397",
                    "blue_verified": true,
                    "verification_type": null,
                    "affiliates": {
                      "label": {
                        "badge": {
                          "url": "https://pbs.twimg.com/profile_images/1955359038532653056/OSHY3ewP_bigger.jpg"
                        },
                        "description": "X",
                        "url": {
                          "url": "https://twitter.com/X",
                          "urlType": "DeepLink"
                        },
                        "userLabelDisplayType": "Badge",
                        "userLabelType": "BusinessLabel"
                      }
                    },
                    "business_account": [],
                    "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                    "header_image": "https://pbs.twimg.com/profile_banners/44196397/1774145451",
                    "desc": "https://t.co/dDtDyVssfm",
                    "name": "Elon Musk",
                    "protected": false,
                    "location": "",
                    "friends": 1325,
                    "sub_count": 239947098,
                    "statuses_count": 102410,
                    "media_count": 4487,
                    "pinned_tweet_ids_str": null,
                    "created_at": "Tue Jun 02 20:12:29 +0000 2009",
                    "id": "44196397"
                  },
                  "requestId": "dbca9df7-d91b-4075-8d72-7bb4b062d01a"
                }
              }
            },
            "headers": {}
          },
          "400": {
            "$ref": "#/components/responses/400"
          },
          "401": {
            "$ref": "#/components/responses/401"
          },
          "402": {
            "$ref": "#/components/responses/402"
          },
          "429": {
            "$ref": "#/components/responses/429"
          },
          "500": {
            "$ref": "#/components/responses/500"
          }
        },
        "security": [
          {
            "JWT Bearer": []
          }
        ],
        "x-credits": 1,
        "x-codeSamples": [
          {
            "lang": "curl",
            "label": "cURL",
            "source": "curl --request GET \\\n  --url 'https://api.keyapi.ai/v1/twitter/screenname?screenname=elonmusk&rest_id=44196397' \\\n  --header 'Authorization: Bearer <YOUR_API_KEY>'"
          },
          {
            "lang": "python",
            "label": "Python",
            "source": "import requests\n\nresponse = requests.get(\n    'https://api.keyapi.ai/v1/twitter/screenname',\n    params={\"screenname\": \"elonmusk\", \"rest_id\": \"44196397\"},\n    headers={'Authorization': 'Bearer <YOUR_API_KEY>'}\n)\nprint(response.json())"
          },
          {
            "lang": "javascript",
            "label": "JavaScript",
            "source": "const params = new URLSearchParams({\"screenname\": \"elonmusk\", \"rest_id\": \"44196397\"});\n\nconst response = await fetch(`https://api.keyapi.ai/v1/twitter/screenname?${params}`, {\n  method: 'GET',\n  headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }\n});\nconst data = await response.json();\nconsole.log(data);"
          }
        ],
        "x-mint": {
          "href": "/en/twitter/screenname",
          "content": "<div className=\"inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg\">\n          <span className=\"text-base\">🪙</span>\n          <span className=\"text-sm font-medium text-yellow-900 dark:text-yellow-100\"><span className=\"font-semibold\">1 credits</span><span className=\"text-yellow-700 dark:text-yellow-300 ml-1\">per request</span></span>\n        </div>\n        \n        ## Copy for AI\n        \n        <div className=\"my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40\">\n          <div className=\"min-w-0\">\n            <p className=\"text-base font-semibold text-gray-900 dark:text-gray-100\">🤖 Why Code When AI Can Do It For You?</p>\n            <p className=\"mt-1 text-sm text-gray-700 dark:text-gray-300\">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>\n          </div>\n          <div className=\"mt-4\">\n            <button\n              type=\"button\"\n              className=\"inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50\"\n              onClick={() => navigator.clipboard.writeText(`I need to call the following KeyAPI endpoint. Please generate a complete and directly runnable Python example based on the API information provided below.\n\n## API Information\n\nEndpoint: GET https://api.keyapi.ai/v1/twitter/screenname\nSummary:  User info\n\nRequired Headers:\n- Authorization: Bearer <YOUR_API_KEY>\n\nParameters:\n- screenname (Required): No description. Example: elonmusk\n- rest_id (Optional): Twitter user's id. This parameter overwrites screenname parameter. Example: 44196397\n\n## Code Requirements\n\n- Use the Python \\`requests\\` library\n- Provide a complete and directly runnable example\n- Handle HTTP request errors, timeouts, and non-2xx responses\n- Handle JSON parsing errors\n- Prefer the Example values provided in the API information for sample parameters\n- Keep the code simple and avoid unnecessary abstractions or complexity`)}\n            >\n              <span>✨</span>\n              <span>Copy for AI</span>\n            </button>\n          </div>\n        </div>\n        ",
          "metadata": {
            "sidebarTitle": " User info"
          }
        }
      }
    },
    "/v1/twitter/timeline": {
      "get": {
        "summary": "User timeline",
        "deprecated": false,
        "description": "Retrieve public timeline tweets for a specified user. Useful for account content collection, historical activity monitoring, and social media analysis.",
        "tags": [],
        "parameters": [
          {
            "name": "screenname",
            "in": "query",
            "description": "",
            "required": true,
            "example": "elonmusk",
            "schema": {
              "type": "string",
              "example": "elonmusk"
            }
          },
          {
            "name": "rest_id",
            "in": "query",
            "description": "Optional parameter that overwrites the screename. Screename could be a random string if this user id is passed.",
            "required": false,
            "example": "44196397",
            "schema": {
              "type": "string",
              "example": "44196397"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "description": "",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {}
                },
                "example": {
                  "code": 0,
                  "message": "success",
                  "data": {
                    "timeline": [
                      {
                        "tweet_id": "2054420100917399828",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 04:34:55 +0000 2026",
                        "favorites": 0,
                        "text": "RT @SERobinsonJr: SPACEX: Marmac 31 \"You'll Thank Me Later\" now has a cover installed. This barge will transport the Super Heavy Boosters f…",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "143",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "1234183597583740929",
                              "name": "S.E. Robinson, Jr.",
                              "screen_name": "SERobinsonJr"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 282,
                        "conversation_id": "2054420100917399828",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2053850852150985139"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2053850852150985139",
                          "bookmarks": 101,
                          "created_at": "Mon May 11 14:52:56 +0000 2026",
                          "favorites": 2610,
                          "text": "SPACEX: Marmac 31 \"You'll Thank Me Later\" now has a cover installed. This barge will transport the Super Heavy Boosters from Starbase to the Cape.",
                          "lang": "en",
                          "views": "282220",
                          "quotes": 8,
                          "entities": {
                            "hashtags": [],
                            "media": [
                              {
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/afoqAKYcUo",
                                "expanded_url": "https://x.com/SERobinsonJr/status/2053850852150985139/photo/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "features": {
                                  "large": {
                                    "faces": []
                                  },
                                  "medium": {
                                    "faces": []
                                  },
                                  "orig": {
                                    "faces": []
                                  },
                                  "small": {
                                    "faces": []
                                  }
                                },
                                "id_str": "2053850743866593280",
                                "indices": [
                                  147,
                                  170
                                ],
                                "media_key": "3_2053850743866593280",
                                "media_results": {
                                  "result": {
                                    "media_key": "3_2053850743866593280"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/media/HIC-XqnXEAAbX5O.jpg",
                                "original_info": {
                                  "focus_rects": [
                                    {
                                      "h": 792,
                                      "w": 1414,
                                      "x": 0,
                                      "y": 238
                                    },
                                    {
                                      "h": 1030,
                                      "w": 1030,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1030,
                                      "w": 904,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1030,
                                      "w": 515,
                                      "x": 61,
                                      "y": 0
                                    },
                                    {
                                      "h": 1030,
                                      "w": 1414,
                                      "x": 0,
                                      "y": 0
                                    }
                                  ],
                                  "height": 1030,
                                  "width": 1414
                                },
                                "sizes": {
                                  "large": {
                                    "h": 1030,
                                    "resize": "fit",
                                    "w": 1414
                                  },
                                  "medium": {
                                    "h": 874,
                                    "resize": "fit",
                                    "w": 1200
                                  },
                                  "small": {
                                    "h": 495,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "type": "photo",
                                "url": "https://t.co/afoqAKYcUo"
                              },
                              {
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/afoqAKYcUo",
                                "expanded_url": "https://x.com/SERobinsonJr/status/2053850852150985139/photo/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "features": {
                                  "large": {
                                    "faces": []
                                  },
                                  "medium": {
                                    "faces": []
                                  },
                                  "orig": {
                                    "faces": []
                                  },
                                  "small": {
                                    "faces": []
                                  }
                                },
                                "id_str": "2053850781829259264",
                                "indices": [
                                  147,
                                  170
                                ],
                                "media_key": "3_2053850781829259264",
                                "media_results": {
                                  "result": {
                                    "media_key": "3_2053850781829259264"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/media/HIC-Z4CXYAAD3Dm.jpg",
                                "original_info": {
                                  "focus_rects": [
                                    {
                                      "h": 680,
                                      "w": 1214,
                                      "x": 0,
                                      "y": 114
                                    },
                                    {
                                      "h": 795,
                                      "w": 795,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 795,
                                      "w": 697,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 795,
                                      "w": 398,
                                      "x": 134,
                                      "y": 0
                                    },
                                    {
                                      "h": 795,
                                      "w": 1214,
                                      "x": 0,
                                      "y": 0
                                    }
                                  ],
                                  "height": 795,
                                  "width": 1214
                                },
                                "sizes": {
                                  "large": {
                                    "h": 795,
                                    "resize": "fit",
                                    "w": 1214
                                  },
                                  "medium": {
                                    "h": 786,
                                    "resize": "fit",
                                    "w": 1200
                                  },
                                  "small": {
                                    "h": 445,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "type": "photo",
                                "url": "https://t.co/afoqAKYcUo"
                              },
                              {
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/afoqAKYcUo",
                                "expanded_url": "https://x.com/SERobinsonJr/status/2053850852150985139/photo/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "features": {
                                  "large": {
                                    "faces": []
                                  },
                                  "medium": {
                                    "faces": []
                                  },
                                  "orig": {
                                    "faces": []
                                  },
                                  "small": {
                                    "faces": []
                                  }
                                },
                                "id_str": "2053850781988601856",
                                "indices": [
                                  147,
                                  170
                                ],
                                "media_key": "3_2053850781988601856",
                                "media_results": {
                                  "result": {
                                    "media_key": "3_2053850781988601856"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/media/HIC-Z4oWwAAZPSC.jpg",
                                "original_info": {
                                  "focus_rects": [
                                    {
                                      "h": 1357,
                                      "w": 2423,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1357,
                                      "w": 1357,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1357,
                                      "w": 1190,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1357,
                                      "w": 679,
                                      "x": 20,
                                      "y": 0
                                    },
                                    {
                                      "h": 1357,
                                      "w": 2879,
                                      "x": 0,
                                      "y": 0
                                    }
                                  ],
                                  "height": 1357,
                                  "width": 2879
                                },
                                "sizes": {
                                  "large": {
                                    "h": 965,
                                    "resize": "fit",
                                    "w": 2048
                                  },
                                  "medium": {
                                    "h": 566,
                                    "resize": "fit",
                                    "w": 1200
                                  },
                                  "small": {
                                    "h": 321,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "type": "photo",
                                "url": "https://t.co/afoqAKYcUo"
                              }
                            ],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": []
                          },
                          "replies": 216,
                          "retweets": 282,
                          "conversation_id": "2053850852150985139",
                          "author": {
                            "rest_id": "1234183597583740929",
                            "name": "S.E. Robinson, Jr.",
                            "screen_name": "SERobinsonJr",
                            "avatar": "https://pbs.twimg.com/profile_images/2035540824889741312/t2mkjAEr_normal.jpg",
                            "blue_verified": true
                          },
                          "media": {
                            "photo": [
                              {
                                "media_url_https": "https://pbs.twimg.com/media/HIC-XqnXEAAbX5O.jpg",
                                "id": "2053850743866593280",
                                "sizes": {
                                  "h": 874,
                                  "w": 1200
                                }
                              },
                              {
                                "media_url_https": "https://pbs.twimg.com/media/HIC-Z4CXYAAD3Dm.jpg",
                                "id": "2053850781829259264",
                                "sizes": {
                                  "h": 786,
                                  "w": 1200
                                }
                              },
                              {
                                "media_url_https": "https://pbs.twimg.com/media/HIC-Z4oWwAAZPSC.jpg",
                                "id": "2053850781988601856",
                                "sizes": {
                                  "h": 566,
                                  "w": 1200
                                }
                              }
                            ]
                          }
                        }
                      },
                      {
                        "tweet_id": "2054418136934535388",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 04:27:07 +0000 2026",
                        "favorites": 0,
                        "text": "RT @ApoStructura: Every rocket launched in 2026 https://t.co/Spe5ErTfM3",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "274",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "4375247427",
                              "name": "ApoStructura",
                              "screen_name": "ApoStructura"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 243,
                        "conversation_id": "2054418136934535388",
                        "media": {
                          "photo": [
                            {
                              "media_url_https": "https://pbs.twimg.com/media/HIJCk4mWoAABfsp.jpg",
                              "id": "2054277581470343168",
                              "sizes": {
                                "h": 946,
                                "w": 1200
                              }
                            }
                          ]
                        },
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054277684272734257"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054277684272734257",
                          "bookmarks": 119,
                          "created_at": "Tue May 12 19:09:01 +0000 2026",
                          "favorites": 1592,
                          "text": "Every rocket launched in 2026 https://t.co/Spe5ErTfM3",
                          "lang": "en",
                          "views": "253226",
                          "quotes": 19,
                          "entities": {
                            "hashtags": [],
                            "media": [
                              {
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/Spe5ErTfM3",
                                "expanded_url": "https://x.com/ApoStructura/status/2054277684272734257/photo/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "features": {
                                  "large": {
                                    "faces": []
                                  },
                                  "medium": {
                                    "faces": []
                                  },
                                  "orig": {
                                    "faces": []
                                  },
                                  "small": {
                                    "faces": []
                                  }
                                },
                                "id_str": "2054277581470343168",
                                "indices": [
                                  30,
                                  53
                                ],
                                "media_key": "3_2054277581470343168",
                                "media_results": {
                                  "result": {
                                    "media_key": "3_2054277581470343168"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/media/HIJCk4mWoAABfsp.jpg",
                                "original_info": {
                                  "focus_rects": [
                                    {
                                      "h": 1684,
                                      "w": 3008,
                                      "x": 0,
                                      "y": 436
                                    },
                                    {
                                      "h": 2372,
                                      "w": 2372,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 2372,
                                      "w": 2081,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 2372,
                                      "w": 1186,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 2372,
                                      "w": 3008,
                                      "x": 0,
                                      "y": 0
                                    }
                                  ],
                                  "height": 2372,
                                  "width": 3008
                                },
                                "sizes": {
                                  "large": {
                                    "h": 1615,
                                    "resize": "fit",
                                    "w": 2048
                                  },
                                  "medium": {
                                    "h": 946,
                                    "resize": "fit",
                                    "w": 1200
                                  },
                                  "small": {
                                    "h": 536,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "type": "photo",
                                "url": "https://t.co/Spe5ErTfM3"
                              }
                            ],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": []
                          },
                          "replies": 182,
                          "retweets": 243,
                          "conversation_id": "2054277684272734257",
                          "author": {
                            "rest_id": "4375247427",
                            "name": "ApoStructura",
                            "screen_name": "ApoStructura",
                            "avatar": "https://pbs.twimg.com/profile_images/1961563906133897216/UYO42Lea_normal.jpg",
                            "blue_verified": true
                          },
                          "media": {
                            "photo": [
                              {
                                "media_url_https": "https://pbs.twimg.com/media/HIJCk4mWoAABfsp.jpg",
                                "id": "2054277581470343168",
                                "sizes": {
                                  "h": 946,
                                  "w": 1200
                                }
                              }
                            ]
                          }
                        }
                      },
                      {
                        "tweet_id": "2054394669963125188",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 02:53:52 +0000 2026",
                        "favorites": 0,
                        "text": "RT @DJSnM: Finally we're going to get shots of Starship from a deployed payload: https://t.co/G7tMXCjPT8",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "548",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "92356429",
                              "name": "Scott Manley",
                              "screen_name": "DJSnM"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 369,
                        "conversation_id": "2054394669963125188",
                        "media": {
                          "photo": [
                            {
                              "media_url_https": "https://pbs.twimg.com/media/HIKp5Rua0AAiwFQ.jpg",
                              "id": "2054391181510103040",
                              "sizes": {
                                "h": 1090,
                                "w": 1126
                              }
                            }
                          ]
                        },
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054391316977770969"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054391316977770969",
                          "bookmarks": 81,
                          "created_at": "Wed May 13 02:40:33 +0000 2026",
                          "favorites": 2895,
                          "text": "Finally we're going to get shots of Starship from a deployed payload: https://t.co/G7tMXCjPT8",
                          "lang": "en",
                          "views": "610383",
                          "quotes": 17,
                          "entities": {
                            "hashtags": [],
                            "media": [
                              {
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/G7tMXCjPT8",
                                "expanded_url": "https://x.com/DJSnM/status/2054391316977770969/photo/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "features": {
                                  "large": {
                                    "faces": []
                                  },
                                  "medium": {
                                    "faces": []
                                  },
                                  "orig": {
                                    "faces": []
                                  },
                                  "small": {
                                    "faces": []
                                  }
                                },
                                "id_str": "2054391181510103040",
                                "indices": [
                                  70,
                                  93
                                ],
                                "media_key": "3_2054391181510103040",
                                "media_results": {
                                  "result": {
                                    "media_key": "3_2054391181510103040"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/media/HIKp5Rua0AAiwFQ.jpg",
                                "original_info": {
                                  "focus_rects": [
                                    {
                                      "h": 631,
                                      "w": 1126,
                                      "x": 0,
                                      "y": 459
                                    },
                                    {
                                      "h": 1090,
                                      "w": 1090,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1090,
                                      "w": 956,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1090,
                                      "w": 545,
                                      "x": 149,
                                      "y": 0
                                    },
                                    {
                                      "h": 1090,
                                      "w": 1126,
                                      "x": 0,
                                      "y": 0
                                    }
                                  ],
                                  "height": 1090,
                                  "width": 1126
                                },
                                "sizes": {
                                  "large": {
                                    "h": 1090,
                                    "resize": "fit",
                                    "w": 1126
                                  },
                                  "medium": {
                                    "h": 1090,
                                    "resize": "fit",
                                    "w": 1126
                                  },
                                  "small": {
                                    "h": 658,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "type": "photo",
                                "url": "https://t.co/G7tMXCjPT8"
                              }
                            ],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": []
                          },
                          "replies": 294,
                          "retweets": 369,
                          "conversation_id": "2054391316977770969",
                          "quoted": {
                            "tweet_id": "2054304050338750931",
                            "bookmarks": 1284,
                            "created_at": "Tue May 12 20:53:47 +0000 2026",
                            "favorites": 17312,
                            "text": "Starship’s twelfth flight test will debut the next generation Starship and Super Heavy vehicles, powered by the next evolution of the Raptor engine and launching from a newly designed pad at Starbase. The launch is targeted as early as Tuesday, May 19 → https://t.co/2gZQUxS6mm https://t.co/JxmpL2WE4w",
                            "lang": "en",
                            "views": "11098219",
                            "quotes": 534,
                            "replies": 828,
                            "retweets": 2983,
                            "conversation_id": "2054304050338750931",
                            "author": {
                              "rest_id": "34743251",
                              "name": "SpaceX",
                              "screen_name": "SpaceX",
                              "avatar": "https://pbs.twimg.com/profile_images/1697749409851985920/HbrI04tM_normal.jpg",
                              "followers_count": 41661460,
                              "blue_verified": true
                            },
                            "media": {
                              "video": [
                                {
                                  "media_url_https": "https://pbs.twimg.com/amplify_video_thumb/2054303743957520384/img/19G9qhdsJ4HpSO8x.jpg",
                                  "variants": [
                                    {
                                      "content_type": "application/x-mpegURL",
                                      "url": "https://video.twimg.com/amplify_video/2054303743957520384/pl/aA-v2tmrb7GH9rzo.m3u8?tag=27&v=cfc"
                                    },
                                    {
                                      "bitrate": 256000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/480x270/kCxN5rIBoGZ2b6aV.mp4?tag=27"
                                    },
                                    {
                                      "bitrate": 832000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/640x360/DUGxNkSDb53IKeY-.mp4?tag=27"
                                    },
                                    {
                                      "bitrate": 2176000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/1280x720/t5kbLUrYSF7lRLcH.mp4?tag=27"
                                    },
                                    {
                                      "bitrate": 10368000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/1920x1080/58L5kzrCqfJVPNMw.mp4?tag=27"
                                    },
                                    {
                                      "bitrate": 25128000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/3840x2160/igsIrGwFRHflGqye.mp4?tag=27"
                                    }
                                  ],
                                  "aspect_ratio": [
                                    16,
                                    9
                                  ],
                                  "duration": 39080,
                                  "original_info": {
                                    "focus_rects": [],
                                    "height": 2160,
                                    "width": 3840
                                  },
                                  "id": "2054303743957520384"
                                }
                              ]
                            }
                          },
                          "author": {
                            "rest_id": "92356429",
                            "name": "Scott Manley",
                            "screen_name": "DJSnM",
                            "avatar": "https://pbs.twimg.com/profile_images/1437977924657762312/EcS-uJ2k_normal.jpg",
                            "blue_verified": true
                          },
                          "media": {
                            "photo": [
                              {
                                "media_url_https": "https://pbs.twimg.com/media/HIKp5Rua0AAiwFQ.jpg",
                                "id": "2054391181510103040",
                                "sizes": {
                                  "h": 1090,
                                  "w": 1126
                                }
                              }
                            ]
                          }
                        }
                      },
                      {
                        "tweet_id": "2054375024107380993",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 01:35:48 +0000 2026",
                        "favorites": 0,
                        "text": "RT @GadSaad: Yes!!!!",
                        "lang": "und",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "686",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "116579971",
                              "name": "Gad Saad",
                              "screen_name": "GadSaad"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 505,
                        "conversation_id": "2054375024107380993",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054223921365516462"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054223921365516462",
                          "bookmarks": 60,
                          "created_at": "Tue May 12 15:35:23 +0000 2026",
                          "favorites": 3314,
                          "text": "Yes!!!!",
                          "lang": "und",
                          "views": "666415",
                          "quotes": 14,
                          "entities": {
                            "hashtags": [],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": []
                          },
                          "replies": 277,
                          "retweets": 505,
                          "conversation_id": "2054223921365516462",
                          "quoted": {
                            "tweet_id": "2054209140441133200",
                            "bookmarks": 5,
                            "created_at": "Tue May 12 14:36:39 +0000 2026",
                            "favorites": 132,
                            "text": "@GadSaad We have lift off. Suicidal Empathy heading for NUMBER ONE WORLDWIDE 🚀 🌎 💪🏼 https://t.co/5aUyqI1aVU",
                            "lang": "en",
                            "views": "668643",
                            "quotes": 4,
                            "replies": 21,
                            "retweets": 11,
                            "conversation_id": "2054207812809486451",
                            "author": {
                              "rest_id": "1937392514941792256",
                              "name": "Vajrapani",
                              "screen_name": "dan_woodley3",
                              "avatar": "https://pbs.twimg.com/profile_images/1946599846321803265/tOHohdDH_normal.jpg",
                              "followers_count": 339,
                              "blue_verified": true
                            },
                            "media": {
                              "video": [
                                {
                                  "media_url_https": "https://pbs.twimg.com/tweet_video_thumb/HIIEUiWa8AArUHZ.jpg",
                                  "variants": [
                                    {
                                      "bitrate": 0,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/tweet_video/HIIEUiWa8AArUHZ.mp4"
                                    }
                                  ],
                                  "aspect_ratio": [
                                    1,
                                    1
                                  ],
                                  "duration": null,
                                  "original_info": {
                                    "focus_rects": [],
                                    "height": 480,
                                    "width": 480
                                  },
                                  "id": "2054209130899107840"
                                }
                              ]
                            }
                          },
                          "author": {
                            "rest_id": "116579971",
                            "name": "Gad Saad",
                            "screen_name": "GadSaad",
                            "avatar": "https://pbs.twimg.com/profile_images/979192426660327424/4B9g75QR_normal.jpg",
                            "blue_verified": true
                          },
                          "media": []
                        }
                      },
                      {
                        "tweet_id": "2054365608251453847",
                        "bookmarks": 4425,
                        "created_at": "Wed May 13 00:58:23 +0000 2026",
                        "favorites": 41720,
                        "text": "https://t.co/Go4tGYMffh",
                        "lang": "zxx",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "32563626",
                        "quotes": 412,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": []
                        },
                        "replies": 3534,
                        "retweets": 4579,
                        "conversation_id": "2054365608251453847",
                        "media": {
                          "video": [
                            {
                              "media_url_https": "https://pbs.twimg.com/amplify_video_thumb/2052586632545742848/img/owEmcKfItYlNsg7D.jpg",
                              "variants": [
                                {
                                  "content_type": "application/x-mpegURL",
                                  "url": "https://video.twimg.com/amplify_video/2052586632545742848/pl/ucO9_zA278NlWLne.m3u8?tag=27"
                                },
                                {
                                  "bitrate": 256000,
                                  "content_type": "video/mp4",
                                  "url": "https://video.twimg.com/amplify_video/2052586632545742848/vid/avc1/648x270/rfqcn41R3aSJ9QeH.mp4?tag=27"
                                },
                                {
                                  "bitrate": 832000,
                                  "content_type": "video/mp4",
                                  "url": "https://video.twimg.com/amplify_video/2052586632545742848/vid/avc1/864x360/4hPCBdClvcZK3hxz.mp4?tag=27"
                                },
                                {
                                  "bitrate": 2176000,
                                  "content_type": "video/mp4",
                                  "url": "https://video.twimg.com/amplify_video/2052586632545742848/vid/avc1/1278x532/fXN9SXDF-WQtzLVq.mp4?tag=27"
                                }
                              ],
                              "aspect_ratio": [
                                639,
                                266
                              ],
                              "duration": 71053,
                              "original_info": {
                                "focus_rects": [],
                                "height": 532,
                                "width": 1278
                              },
                              "id": "2052586632545742848"
                            }
                          ]
                        },
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        }
                      },
                      {
                        "tweet_id": "2054363886963610022",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 00:51:33 +0000 2026",
                        "favorites": 0,
                        "text": "RT @yunta_tsai: There was no award when Newton discovered three laws of forces, nor when da Vinci painted the Mona Lisa.\n\nThere was no Gram…",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "320",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "1577705091737432070",
                              "name": "Yun-Ta Tsai",
                              "screen_name": "yunta_tsai"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 1467,
                        "conversation_id": "2054363886963610022",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054359313884623159"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054359313884623159",
                          "bookmarks": 548,
                          "created_at": "Wed May 13 00:33:23 +0000 2026",
                          "favorites": 11479,
                          "text": "There was no award when Newton discovered three laws of forces, nor when da Vinci painted the Mona Lisa.\n\nThere was no Grammy for Beethoven or Chopin, nor a Nobel Prize in Literature for Homer.\n\nMasterpieces do not seek transient trophies but aim to be timeless.",
                          "lang": "en",
                          "views": "528453",
                          "quotes": 63,
                          "entities": {
                            "hashtags": [],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": []
                          },
                          "replies": 538,
                          "retweets": 1467,
                          "conversation_id": "2054359313884623159",
                          "author": {
                            "rest_id": "1577705091737432070",
                            "name": "Yun-Ta Tsai",
                            "screen_name": "yunta_tsai",
                            "avatar": "https://pbs.twimg.com/profile_images/2035915849819938816/b6kIsNMe_normal.jpg",
                            "blue_verified": true
                          },
                          "media": []
                        }
                      },
                      {
                        "tweet_id": "2054356225337528780",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 00:21:06 +0000 2026",
                        "favorites": 0,
                        "text": "RT @teslaownersSV: BREAKING: SpaceX has once again broken the record for the tallest rocket ever built.\n\nFor the third time in just three y…",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "378",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "1016059981907386368",
                              "name": "Tesla Owners Silicon Valley",
                              "screen_name": "teslaownersSV"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 821,
                        "conversation_id": "2054356225337528780",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054303648365363567"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054303648365363567",
                          "bookmarks": 124,
                          "created_at": "Tue May 12 20:52:11 +0000 2026",
                          "favorites": 5077,
                          "text": "BREAKING: SpaceX has once again broken the record for the tallest rocket ever built.\n\nFor the third time in just three years, a new version of Starship has been stacked at Starbase in South Texas near the US-Mexico border.\n\nStarship V3 is larger and more powerful than previous generations, continuing SpaceX’s rapid pace of iteration as it pushes toward full reusability and deep space missions.\n\nThe scale of development happening at Starbase is unlike anything the modern space industry has seen.",
                          "lang": "en",
                          "views": "522569",
                          "quotes": 31,
                          "entities": {
                            "hashtags": [],
                            "media": [
                              {
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/j2rA6slUL5",
                                "expanded_url": "https://x.com/teslaownersSV/status/2054303648365363567/photo/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "features": {
                                  "large": {
                                    "faces": []
                                  },
                                  "medium": {
                                    "faces": []
                                  },
                                  "orig": {
                                    "faces": []
                                  },
                                  "small": {
                                    "faces": []
                                  }
                                },
                                "id_str": "2054303645219635200",
                                "indices": [
                                  278,
                                  301
                                ],
                                "media_key": "3_2054303645219635200",
                                "media_results": {
                                  "result": {
                                    "media_key": "3_2054303645219635200"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/media/HIJaR_obQAAfHui.jpg",
                                "original_info": {
                                  "focus_rects": [
                                    {
                                      "h": 896,
                                      "w": 1600,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1600,
                                      "w": 1600,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1600,
                                      "w": 1404,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1600,
                                      "w": 800,
                                      "x": 0,
                                      "y": 0
                                    },
                                    {
                                      "h": 1600,
                                      "w": 1600,
                                      "x": 0,
                                      "y": 0
                                    }
                                  ],
                                  "height": 1600,
                                  "width": 1600
                                },
                                "sizes": {
                                  "large": {
                                    "h": 1600,
                                    "resize": "fit",
                                    "w": 1600
                                  },
                                  "medium": {
                                    "h": 1200,
                                    "resize": "fit",
                                    "w": 1200
                                  },
                                  "small": {
                                    "h": 680,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "type": "photo",
                                "url": "https://t.co/j2rA6slUL5"
                              }
                            ],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": []
                          },
                          "replies": 351,
                          "retweets": 821,
                          "conversation_id": "2054303648365363567",
                          "author": {
                            "rest_id": "1016059981907386368",
                            "name": "Tesla Owners Silicon Valley",
                            "screen_name": "teslaownersSV",
                            "avatar": "https://pbs.twimg.com/profile_images/2010961358326484993/kMQefquU_normal.jpg",
                            "blue_verified": false
                          },
                          "media": {
                            "photo": [
                              {
                                "media_url_https": "https://pbs.twimg.com/media/HIJaR_obQAAfHui.jpg",
                                "id": "2054303645219635200",
                                "sizes": {
                                  "h": 1200,
                                  "w": 1200
                                }
                              }
                            ]
                          }
                        }
                      },
                      {
                        "tweet_id": "2054353861578736034",
                        "bookmarks": 0,
                        "created_at": "Wed May 13 00:11:43 +0000 2026",
                        "favorites": 0,
                        "text": "RT @gailalfaratx: Elon: Nothing will make you happier, than having kids, and @ZubyMusic explains how parenting needs to be made cool again…",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "387",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "1233929232432205827",
                              "name": "Gail Alfar",
                              "screen_name": "gailalfaratx"
                            },
                            {
                              "id_str": "57441414",
                              "name": "ZUBY:",
                              "screen_name": "ZubyMusic"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 482,
                        "conversation_id": "2054353861578736034",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054341860932390969"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054341860932390969",
                          "bookmarks": 230,
                          "created_at": "Tue May 12 23:24:02 +0000 2026",
                          "favorites": 2703,
                          "text": "Elon: Nothing will make you happier, than having kids, and @ZubyMusic explains how parenting needs to be made cool again 💙 https://t.co/CR8rTetkzH",
                          "lang": "en",
                          "views": "460786",
                          "quotes": 26,
                          "entities": {
                            "hashtags": [],
                            "media": [
                              {
                                "additional_media_info": {
                                  "monetizable": true,
                                  "source_user": {
                                    "user_results": {
                                      "result": {
                                        "__typename": "User",
                                        "affiliates_highlighted_label": [],
                                        "avatar": {
                                          "image_url": "https://pbs.twimg.com/profile_images/1363770757709508608/EBWhpEq0_normal.jpg"
                                        },
                                        "core": {
                                          "created_at": "Thu Jul 16 20:44:53 +0000 2009",
                                          "name": "ZUBY:",
                                          "screen_name": "ZubyMusic"
                                        },
                                        "dm_permissions": {
                                          "can_dm": true
                                        },
                                        "follow_request_sent": false,
                                        "has_graduated_access": true,
                                        "id": "VXNlcjo1NzQ0MTQxNA==",
                                        "is_blue_verified": true,
                                        "legacy": {
                                          "default_profile": false,
                                          "default_profile_image": false,
                                          "description": "Rapper. Author. Speaker. Coach. Husband. Father. Host of 'Real Talk with Zuby' - https://t.co/3XgNXQD6Y1 |  My fitness book - https://t.co/V1Ict6YeLE",
                                          "entities": {
                                            "description": {
                                              "urls": [
                                                {
                                                  "display_url": "youtube.com/zubymusic",
                                                  "expanded_url": "http://youtube.com/zubymusic",
                                                  "indices": [
                                                    81,
                                                    104
                                                  ],
                                                  "url": "https://t.co/3XgNXQD6Y1"
                                                },
                                                {
                                                  "display_url": "zubymusic.gumroad.com",
                                                  "expanded_url": "https://zubymusic.gumroad.com",
                                                  "indices": [
                                                    126,
                                                    149
                                                  ],
                                                  "url": "https://t.co/V1Ict6YeLE"
                                                }
                                              ]
                                            },
                                            "url": {
                                              "urls": [
                                                {
                                                  "display_url": "linktr.ee/zubymusic",
                                                  "expanded_url": "https://linktr.ee/zubymusic",
                                                  "indices": [
                                                    0,
                                                    23
                                                  ],
                                                  "url": "https://t.co/X6qZA5dvDt"
                                                }
                                              ]
                                            }
                                          },
                                          "fast_followers_count": 0,
                                          "favourites_count": 266194,
                                          "follow_request_sent": false,
                                          "followers_count": 1295599,
                                          "friends_count": 4033,
                                          "has_custom_timelines": true,
                                          "is_translator": false,
                                          "listed_count": 3952,
                                          "media_count": 10422,
                                          "needs_phone_verification": false,
                                          "normal_followers_count": 1295599,
                                          "notifications": false,
                                          "possibly_sensitive": false,
                                          "profile_banner_url": "https://pbs.twimg.com/profile_banners/57441414/1728393506",
                                          "profile_interstitial_type": "",
                                          "statuses_count": 187127,
                                          "time_zone": "",
                                          "translator_type": "none",
                                          "url": "https://t.co/X6qZA5dvDt",
                                          "utc_offset": 0,
                                          "want_retweets": false,
                                          "withheld_description": "",
                                          "withheld_scope": ""
                                        },
                                        "location": {
                                          "location": "Dubai, UAE"
                                        },
                                        "media_permissions": {
                                          "can_media_tag": false
                                        },
                                        "parody_commentary_fan_label": "None",
                                        "privacy": {
                                          "protected": false
                                        },
                                        "profile_bio": {
                                          "description": "Rapper. Author. Speaker. Coach. Husband. Father. Host of 'Real Talk with Zuby' - https://t.co/3XgNXQD6Y1 |  My fitness book - https://t.co/V1Ict6YeLE"
                                        },
                                        "profile_description_language": "en",
                                        "profile_image_shape": "Circle",
                                        "relationship_perspectives": {
                                          "blocked_by": false,
                                          "blocking": false,
                                          "followed_by": false,
                                          "following": false,
                                          "muting": false
                                        },
                                        "rest_id": "57441414",
                                        "super_follow_eligible": true,
                                        "super_followed_by": false,
                                        "super_following": false,
                                        "tipjar_settings": {
                                          "bitcoin_handle": "3QLk4eRoXt1DG3FoYWGXHPXyPtBkU835C6",
                                          "cash_app_handle": "",
                                          "ethereum_handle": "0x47577c1dF3A510D466b204dc23Cd117E88092B76",
                                          "is_enabled": true,
                                          "patreon_handle": "zubymusic"
                                        },
                                        "verification": {
                                          "verified": false
                                        }
                                      }
                                    }
                                  }
                                },
                                "allow_download_status": {
                                  "allow_download": true
                                },
                                "display_url": "pic.x.com/CR8rTetkzH",
                                "expanded_url": "https://x.com/ZubyMusic/status/1864165725205667867/video/1",
                                "ext_media_availability": {
                                  "status": "Available"
                                },
                                "id_str": "1864164945870389248",
                                "indices": [
                                  123,
                                  146
                                ],
                                "media_key": "13_1864164945870389248",
                                "media_results": {
                                  "result": {
                                    "media_key": "13_1864164945870389248"
                                  }
                                },
                                "media_url_https": "https://pbs.twimg.com/amplify_video_thumb/1864164945870389248/img/F_uguNFYkl1Ci23z.jpg",
                                "original_info": {
                                  "focus_rects": [],
                                  "height": 720,
                                  "width": 1280
                                },
                                "sizes": {
                                  "large": {
                                    "h": 720,
                                    "resize": "fit",
                                    "w": 1280
                                  },
                                  "medium": {
                                    "h": 675,
                                    "resize": "fit",
                                    "w": 1200
                                  },
                                  "small": {
                                    "h": 383,
                                    "resize": "fit",
                                    "w": 680
                                  },
                                  "thumb": {
                                    "h": 150,
                                    "resize": "crop",
                                    "w": 150
                                  }
                                },
                                "source_status_id_str": "1864165725205667867",
                                "source_user_id_str": "57441414",
                                "type": "video",
                                "url": "https://t.co/CR8rTetkzH",
                                "video_info": {
                                  "aspect_ratio": [
                                    16,
                                    9
                                  ],
                                  "duration_millis": 775546,
                                  "variants": [
                                    {
                                      "content_type": "application/x-mpegURL",
                                      "url": "https://video.twimg.com/amplify_video/1864164945870389248/pl/fyxedggldXa7ZQru.m3u8?tag=14&v=e6b"
                                    },
                                    {
                                      "bitrate": 288000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/1864164945870389248/vid/avc1/480x270/wtW7P2xg15Mg1LoY.mp4?tag=14"
                                    },
                                    {
                                      "bitrate": 832000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/1864164945870389248/vid/avc1/640x360/8n2epGcuHyZhrWOb.mp4?tag=14"
                                    },
                                    {
                                      "bitrate": 2176000,
                                      "content_type": "video/mp4",
                                      "url": "https://video.twimg.com/amplify_video/1864164945870389248/vid/avc1/1280x720/FzGQZgJzX_j_K0e1.mp4?tag=14"
                                    }
                                  ]
                                }
                              }
                            ],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": [
                              {
                                "id_str": "57441414",
                                "indices": [
                                  59,
                                  69
                                ],
                                "name": "ZUBY:",
                                "screen_name": "ZubyMusic"
                              }
                            ]
                          },
                          "replies": 370,
                          "retweets": 482,
                          "conversation_id": "2054341860932390969",
                          "author": {
                            "rest_id": "1233929232432205827",
                            "name": "Gail Alfar",
                            "screen_name": "gailalfaratx",
                            "avatar": "https://pbs.twimg.com/profile_images/2044275608419508224/eymCICDg_normal.jpg",
                            "blue_verified": true
                          },
                          "media": {
                            "video": [
                              {
                                "media_url_https": "https://pbs.twimg.com/amplify_video_thumb/1864164945870389248/img/F_uguNFYkl1Ci23z.jpg",
                                "variants": [
                                  {
                                    "content_type": "application/x-mpegURL",
                                    "url": "https://video.twimg.com/amplify_video/1864164945870389248/pl/fyxedggldXa7ZQru.m3u8?tag=14&v=e6b"
                                  },
                                  {
                                    "bitrate": 288000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/1864164945870389248/vid/avc1/480x270/wtW7P2xg15Mg1LoY.mp4?tag=14"
                                  },
                                  {
                                    "bitrate": 832000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/1864164945870389248/vid/avc1/640x360/8n2epGcuHyZhrWOb.mp4?tag=14"
                                  },
                                  {
                                    "bitrate": 2176000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/1864164945870389248/vid/avc1/1280x720/FzGQZgJzX_j_K0e1.mp4?tag=14"
                                  }
                                ],
                                "aspect_ratio": [
                                  16,
                                  9
                                ],
                                "duration": 775546,
                                "original_info": {
                                  "focus_rects": [],
                                  "height": 720,
                                  "width": 1280
                                },
                                "id": "1864164945870389248"
                              }
                            ]
                          }
                        }
                      },
                      {
                        "tweet_id": "2054353595999645946",
                        "bookmarks": 1227,
                        "created_at": "Wed May 13 00:10:39 +0000 2026",
                        "favorites": 56355,
                        "text": "Starship launch next week!",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "9688949",
                        "quotes": 318,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": []
                        },
                        "replies": 3523,
                        "retweets": 6893,
                        "conversation_id": "2054353595999645946",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "quoted": {
                          "tweet_id": "2054304050338750931",
                          "bookmarks": 1284,
                          "created_at": "Tue May 12 20:53:47 +0000 2026",
                          "favorites": 17312,
                          "text": "Starship’s twelfth flight test will debut the next generation Starship and Super Heavy vehicles, powered by the next evolution of the Raptor engine and launching from a newly designed pad at Starbase. The launch is targeted as early as Tuesday, May 19 → https://t.co/2gZQUxS6mm https://t.co/JxmpL2WE4w",
                          "lang": "en",
                          "views": "11098219",
                          "quotes": 534,
                          "replies": 828,
                          "retweets": 2983,
                          "conversation_id": "2054304050338750931",
                          "author": {
                            "rest_id": "34743251",
                            "name": "SpaceX",
                            "screen_name": "SpaceX",
                            "avatar": "https://pbs.twimg.com/profile_images/1697749409851985920/HbrI04tM_normal.jpg",
                            "followers_count": 41661460,
                            "blue_verified": true
                          },
                          "media": {
                            "video": [
                              {
                                "media_url_https": "https://pbs.twimg.com/amplify_video_thumb/2054303743957520384/img/19G9qhdsJ4HpSO8x.jpg",
                                "variants": [
                                  {
                                    "content_type": "application/x-mpegURL",
                                    "url": "https://video.twimg.com/amplify_video/2054303743957520384/pl/aA-v2tmrb7GH9rzo.m3u8?tag=27&v=cfc"
                                  },
                                  {
                                    "bitrate": 256000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/480x270/kCxN5rIBoGZ2b6aV.mp4?tag=27"
                                  },
                                  {
                                    "bitrate": 832000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/640x360/DUGxNkSDb53IKeY-.mp4?tag=27"
                                  },
                                  {
                                    "bitrate": 2176000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/1280x720/t5kbLUrYSF7lRLcH.mp4?tag=27"
                                  },
                                  {
                                    "bitrate": 10368000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/1920x1080/58L5kzrCqfJVPNMw.mp4?tag=27"
                                  },
                                  {
                                    "bitrate": 25128000,
                                    "content_type": "video/mp4",
                                    "url": "https://video.twimg.com/amplify_video/2054303743957520384/vid/avc1/3840x2160/igsIrGwFRHflGqye.mp4?tag=27"
                                  }
                                ],
                                "aspect_ratio": [
                                  16,
                                  9
                                ],
                                "duration": 39080,
                                "original_info": {
                                  "focus_rects": [],
                                  "height": 2160,
                                  "width": 3840
                                },
                                "id": "2054303743957520384"
                              }
                            ]
                          }
                        }
                      },
                      {
                        "tweet_id": "2054325642737701049",
                        "bookmarks": 0,
                        "created_at": "Tue May 12 22:19:35 +0000 2026",
                        "favorites": 0,
                        "text": "RT @michaelnicollsx: Starlink Mobile V2 coming next year will be a game changer for global connectivity! Thank you @FCC",
                        "lang": "en",
                        "source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>",
                        "views": "306",
                        "quotes": 0,
                        "entities": {
                          "hashtags": [],
                          "symbols": [],
                          "timestamps": [],
                          "urls": [],
                          "user_mentions": [
                            {
                              "id_str": "1745904877283442688",
                              "name": "Michael Nicolls",
                              "screen_name": "michaelnicollsx"
                            },
                            {
                              "id_str": "66369206",
                              "name": "FCC",
                              "screen_name": "FCC"
                            }
                          ]
                        },
                        "replies": 0,
                        "retweets": 645,
                        "conversation_id": "2054325642737701049",
                        "media": [],
                        "author": {
                          "rest_id": "44196397",
                          "name": "Elon Musk",
                          "screen_name": "elonmusk",
                          "avatar": "https://pbs.twimg.com/profile_images/2053244804520427520/m8mdWZCG_normal.jpg",
                          "followers_count": 239955303,
                          "blue_verified": true
                        },
                        "retweeted": {
                          "id": "2054309734778581265"
                        },
                        "retweeted_tweet": {
                          "tweet_id": "2054309734778581265",
                          "bookmarks": 117,
                          "created_at": "Tue May 12 21:16:22 +0000 2026",
                          "favorites": 3289,
                          "text": "Starlink Mobile V2 coming next year will be a game changer for global connectivity! Thank you @FCC",
                          "lang": "en",
                          "views": "766007",
                          "quotes": 17,
                          "entities": {
                            "hashtags": [],
                            "symbols": [],
                            "timestamps": [],
                            "urls": [],
                            "user_mentions": [
                              {
                                "id_str": "66369206",
                                "indices": [
                                  94,
                                  98
                                ],
                                "name": "FCC",
                                "screen_name": "FCC"
                              }
                            ]
                          },
                          "replies": 305,
                          "retweets": 645,
                          "conversation_id": "2054309734778581265",
                          "quoted": {
                            "tweet_id": "2054275297868992940",
                            "bookmarks": 103,
                            "created_at": "Tue May 12 18:59:32 +0000 2026",
                            "favorites": 1419,
[...]
